# arm_fir_lattice_instance_q15 Struct Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_fir_lattice_instance_q15 Struct Reference

Instance structure for the Q15 FIR lattice filter.

## Data Fields

uint16_t | numStages
q15_t * | pState
q15_t * | pCoeffs

## Field Documentation

uint16_t arm_fir_lattice_instance_q15::numStages

number of filter stages.

Referenced by arm_fir_lattice_init_q15(), and arm_fir_lattice_q15().

q15_t* arm_fir_lattice_instance_q15::pCoeffs

points to the coefficient array. The array is of length numStages.

Referenced by arm_fir_lattice_init_q15(), and arm_fir_lattice_q15().

q15_t* arm_fir_lattice_instance_q15::pState

points to the state variable array. The array is of length numStages.

Referenced by arm_fir_lattice_init_q15(), and arm_fir_lattice_q15().